#
# spec file for package rubygem-unf_ext
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-unf_ext
Version:        0.0.9.1
Release:        1.5
%define mod_name unf_ext
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  gcc-c++
# /MANUAL
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{rubydevel >= 2.2}
BuildRequires:  %{rubygem gem2rpm}
URL:            https://github.com/knu/ruby-unf_ext
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Unicode Normalization Form support library for CRuby
License:        MIT

%description
Unicode Normalization Form support library for CRuby.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Tue Nov 28 2023 Dan Čermák <dan.cermak@posteo.net>
- # Changelog
  [#]# [0.0.9.1](https://github.com/knu/ruby-unf_ext/tree/v0.0.9.1) (2023-11-16)
  [Full Changelog](https://github.com/knu/ruby-unf_ext/compare/v0.0.9...v0.0.9.1)
- Fix use of designated initializers. [\#75](https://github.com/knu/ruby-unf_ext/pull/75) ([igorpeshansky](https://github.com/igorpeshansky))
  [#]# [0.0.9](https://github.com/knu/ruby-unf_ext/tree/v0.0.9) (2023-11-11)
  [Full Changelog](https://github.com/knu/ruby-unf_ext/compare/v0.0.8.2...v0.0.9)
- Use the newer TypedData extension API [\#72](https://github.com/knu/ruby-unf_ext/pull/72) ([casperisfine](https://github.com/casperisfine))
- Update Actions - updates OS's, add Ruby 3,2, etc [\#71](https://github.com/knu/ruby-unf_ext/pull/71) ([MSP-Greg](https://github.com/MSP-Greg))
- Add cross compilation for Ruby 3.2 [\#69](https://github.com/knu/ruby-unf_ext/pull/69) ([johnnyshields](https://github.com/johnnyshields))
* Wed Jun 29 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 0.0.8.2
  * Add x64-mingw-ucrt native gem support for RubyInstaller 3.1.
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 0.0.8.1
  see installed CHANGELOG.md
* Sat Oct  9 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 0.0.8
  * No functional change in the library code.
  * Include Windows binaries for Ruby 3.0.
  * Drop support for Ruby 2.1 and earlier.
  * Replace Travis CI with Github Actions.
  * Fix cross-build after upgrading rake-compiler/rake-compiler-dock to 1.1.1/1.1.0.
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 0.0.7.7
  see installed CHANGELOG.md
  [#]# 0.0.7.7 (2019-03-19)
  - Include Windows binaries for Ruby 2.7.
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 0.0.7.6
  see installed CHANGELOG.md
  [#]# 0.0.7.6 (2019-03-19)
  - Version bump just for adding Windows binaries for Ruby 2.6.
* Tue Feb 27 2018 factory-auto@kulow.org
- updated to version 0.0.7.5
  see installed CHANGELOG.md
  [#]# 0.0.7.5 (2018-02-06)
  - Version bump just for adding Windows binaries for Ruby 2.5.
* Wed Apr 19 2017 coolo@suse.com
- updated to version 0.0.7.4
  see installed CHANGELOG.md
  [#]# 0.0.7.4 (2017-04-19)
  - Fix build on ARM and GCC 6 again.
* Wed Apr 12 2017 coolo@suse.com
- updated to version 0.0.7.3
  see installed CHANGELOG.md
  [#]# 0.0.7.3 (2017-04-11)
  - Update the base Unicode version to 9.
  - Fix compile issues on ARM and GCC 6.
* Thu Feb  4 2016 coolo@suse.com
- updated to version 0.0.7.2
  see installed CHANGELOG.md
  [#]# 0.0.7.2 (2016-02-01)
  - Version bump just for adding Windows binaries for Ruby 2.3.
* Sat Apr 18 2015 coolo@suse.com
- updated to version 0.0.7.1
* Mon Nov 10 2014 mrueckert@suse.de
- restore the buildrequires on gcc-c++
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme and add gem2rpm.yml
* Thu Feb  6 2014 coolo@suse.com
- use new macros
* Thu Mar 14 2013 mrueckert@suse.de
- update to version 0.0.6
  copyright update
* Sat Jul 28 2012 coolo@suse.com
- initial package
